Bug 170876 - Filenames containing newlines do not appear nicely in the Documents list
Summary: Filenames containing newlines do not appear nicely in the Documents list
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: 2.5
Platform: Gentoo Packages Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-11 20:44 UTC by Luke-Jr
Modified: 2011-08-13 18:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke-Jr 2008-09-11 20:44:31 UTC
Version:            (using KDE 3.5.9)
Installed from:    Gentoo Packages

Not quite sure how these *should* look, but if I have a file named "a\nb\nc\nd", it looks pretty odd in the documents list. This is probably only one of many cases it looks odd in KDE.
Comment 1 Christoph Cullmann 2009-04-18 16:45:22 UTC
Enhancement ;)
Comment 2 Dominik Haumann 2011-08-12 15:07:49 UTC
Git commit 7499f1e157770b86010c5043ca9842e9bec17d0e by Dominik Haumann.
Committed on 12/08/2011 at 17:06.
Pushed by dhaumann into branch 'master'.

remove \r and \n from visible file names

BUG: 170876

M  +1    -1    part/document/katedocument.h
M  +16   -3    part/document/katedocument.cpp

http://commits.kde.org/kate/7499f1e157770b86010c5043ca9842e9bec17d0e
Comment 3 Dominik Haumann 2011-08-13 18:21:12 UTC
Git commit e52e005bf8f8366f5898e0bec16fe7f17ed3b608 by Dominik Haumann.
Committed on 12/08/2011 at 17:06.
Pushed by dhaumann into branch 'KDE/4.7'.

remove \r and \n from visible file names

BUG: 170876

M  +1    -1    part/document/katedocument.h
M  +16   -3    part/document/katedocument.cpp

http://commits.kde.org/kate/e52e005bf8f8366f5898e0bec16fe7f17ed3b608